Running grass 7 from the processing toolbox gives errors
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.2.0 Regression?: No

Operating System: Linux (Ubuntu) Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19104

Description

I am trying to run grass 7 commands through the processing toolbox, but I am getting the following error:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "/home/paulo/.qgis2/python/plugins/processing/gui/ProcessingToolbox.py", line 191, in executeAlgorithm

    dlg = ParametersDialog(alg)

  File "/home/paulo/.qgis2/python/plugins/processing/gui/ParametersDialog.py", line 38, in init

    self.paramTable = ParametersPanel(self, alg)

  File "/home/paulo/.qgis2/python/plugins/processing/gui/ParametersPanel.py", line 84, in init

    self.initGUI()

  File "/home/paulo/.qgis2/python/plugins/processing/gui/ParametersPanel.py", line 87, in initGUI

    tooltips = self.alg.getParameterDescriptions()

  File "/home/paulo/.qgis2/python/plugins/processing/algs/grass7/Grass7Algorithm.py", line 101, in getParameterDescriptions

    helpfile = self.helpFile()

AttributeError: Grass7Algorithm instance has no attribute 'helpFile'

Python version:

2.7.6 (default, Mar 22 2014, 23:03:41) 

[GCC 4.8.2]

QGIS version:

2.3.0-Master Master, abcca5a

History

#1 - 2014-06-25 03:00 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

I have submitted a patch yesterday that was already committed. You need the latest master code (or wait for 2.4).

#2 - 2014-06-25 03:33 AM - pvanbosgeo -

I just updated QGIS master QGIS version: 2.3.0-Master Master, d7bd9c7), but I am still getting an error when trying to run a grass7 command:

An error has occured while executing Python code:
Traceback (most recent call last):

  File "/home/paulo/.qgis2/python/plugins/processing/gui/ProcessingToolbox.py", line 191, in executeAlgorithm

    dlg = ParametersDialog(alg)

  File "/home/paulo/.qgis2/python/plugins/processing/gui/ParametersDialog.py", line 38, in init

    self.paramTable = ParametersPanel(self, alg)

  File "/home/paulo/.qgis2/python/plugins/processing/gui/ParametersPanel.py", line 84, in init

    self.initGUI()

  File "/home/paulo/.qgis2/python/plugins/processing/gui/ParametersPanel.py", line 87, in initGUI

    tooltips = self.alg.getParameterDescriptions()

  File "/home/paulo/.qgis2/python/plugins/processing/algs/grass7/Grass7Algorithm.py", line 101, in getParameterDescriptions

    helpfile = self.helpFile()

AttributeError: Grass7Algorithm instance has no attribute 'helpFile'

#3 - 2014-06-25 03:35 AM - Giovanni Manghi

try delete the folder

/home/paulo/.qgis2/python/plugins/processing

and restart qgis (and do not update processing if it asks you to do so).

#4 - 2014-06-25 04:32 AM - pvanbosgeo -

Brilliant, that did it... only got the message "Grass7Algorithm instance has no attribute 'grass7Name' See log for more details", but only after the expected

function output. Great!

#5 - 2015-06-07 04:31 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
